Bug 1258468 - rpmdiff does not compare weak dependencies
rpmdiff does not compare weak dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 09:01 EDT by Petr Pisar
Modified: 2017-11-17 06:26 EST (History)
6 users (show)

See Also:
Fixed In Version: rpmlint-1.10-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-17 06:26:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-08-31 09:01:52 EDT
rpmdiff from rpmlint-1.7-1.fc23.noarch does not lists added Recommends tags:

$ rpm -q --recommends -p noarch/perl-Module-Pluggable-5.10-6.fc24.noarch.rpm 
$ rpm -q --recommends -p noarch/perl-Module-Pluggable-5.2-1.fc24.noarch.rpm 
perl(Module::Runtime) >= 0.012

$ rpmdiff -i 5 -i S -i T noarch/perl-Module-Pluggable-5.10-6.fc24.noarch.rpm noarch/perl-Module-Pluggable-5.2-1.fc24.noarch.rpm 
removed     REQUIRES perl(Exporter)  
removed     REQUIRES perl(base)  
added       REQUIRES perl(Exporter) >= 5.57
removed     PROVIDES perl(Module::Pluggable) = 5.1
removed     PROVIDES perl(Module::Pluggable::Object) = 5.1
added       PROVIDES perl(Module::Pluggable) = 5.2
added       PROVIDES perl(Module::Pluggable::Object) = 5.2

I'd expect the `perl(Module::Runtime) >= 0.012' would appear as `added'.

I feel rpmdiff does not understand weak dependencies.
Comment 1 Ville Skyttä 2015-09-01 11:00:29 EDT
True, it doesn't, this is an upstream issue.
Comment 2 Jan Kurik 2016-02-24 08:41:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:13:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Petr Pisar 2017-07-26 07:42:00 EDT
Still an issue in rpmlint-1.9-11.fc27.noarch.
Comment 6 Fedora End Of Life 2017-11-16 14:22:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Paul Howarth 2017-11-17 06:26:05 EST
This feature was included in rpmlint-1.10-1.fc25 quite some time ago.

Note You need to log in before you can comment on or make changes to this bug.